// ============================================================
//	
//	File : BitStream.h
//	
//	Copyright 1998 sepu gmbh
//	               Karlsruhe / Germany
//	
// ============================================================
//	
//	Revision History
//	
//	Author:		Date:		Description:
//	
//	tb			07.05.1998	Creation of this file.
//	
// ============================================================


#ifndef SEPU_BITSTREAM_EEEDBCC0_E5C9_11D1_A2F1_00A02424408F_H

#define SEPU_BITSTREAM_EEEDBCC0_E5C9_11D1_A2F1_00A02424408F_H

// ------------------------------------------------------------
// Includes
// ------------------------------------------------------------

// ------------------------------------------------------------
// Defines
// ------------------------------------------------------------


typedef unsigned char BYTE;
typedef unsigned int UINT;
typedef unsigned short int USHORT;
typedef unsigned char BOOL;
typedef unsigned char * LPBYTE;

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif


// ------------------------------------------------------------
// Prototypen
// ------------------------------------------------------------


// ------------------------------------------------------------
// Class declarations
// ------------------------------------------------------------

// ************************************************************
// * 
// * Class represents a bit stream with bit access
// * CAUTION: BYTES are swapped that means pos 0 is bit 7
// * 
// ************************************************************

extern	void CBitStream_CBitStream(const BYTE *lpBuffer, UINT uLen);
extern	void CBitStream_DeleteLeadingNulls(void);
extern	UINT CBitStream_GetBitCount(void);
extern	BOOL CBitStream_GetNextBit(BYTE *byNextBit);



#endif // SEPU_BITSTREAM_H
